# Get Reports

Endpoint: GET /api/v3.0/orgs/{orgUuid}/reports
Version: 3.0
Security: bearer-key

## Query parameters:

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

## Path parameters:

  - `orgUuid` (string, required)
    org UUID (from the Mend App: Administration General > Organization UUID).

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)

  - `response.name` (string)

  - `response.scopeUuid` (string)

  - `response.scopeName` (string)

  - `response.subScopes` (array)

  - `response.subScopes.uuid` (string)

  - `response.subScopes.name` (string)

  - `response.subScopes.scopeUuid` (string)

  - `response.subScopes.scopeName` (string)

  - `response.title` (string)

  - `response.reportType` (string)
    Enum: "attribution", "inventory", "vulnerabilities", "securityAlerts", "sbom", "securityAlertsLibrary", "Compliance", "Findings", "Suppressions", "Resolved", "spdx", "spdx_2_3", "cycloneDX", "cycloneDX_1_5", "cycloneDX_1_6", "dueDiligence", "unknown", "imgAttribution", "imgDueDiligence", "imgSpdx", "imgSpdx_2_3", "imgCycloneDX", "imgCycloneDX_1_5", "aiInventory", "aiFindings", "imgCycloneDX_1_6", "risk"

  - `response.format` (string)
    Enum: "json", "html", "unknown", "xml", "excel", "yaml", "pdf", "tv", "rdf", "csv", "sarif"

  - `response.scopeType` (string)
    Enum: "organization", "application", "project", "account", "unsupported"

  - `response.status` (string)
    Enum: "PENDING", "IN_PROGRESS", "FAILED", "FAILURE", "SUCCESS"

  - `response.createdBy` (string)

  - `response.createdAt` (string)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


